searchNodes=[{"ref":"DeepSort.html","title":"DeepSort","type":"module","doc":"A module who does recursive sort over any enumerables."},{"ref":"DeepSort.html#sort/2","title":"DeepSort.sort/2","type":"function","doc":"Sorting an enumerable based on Enum.sort. Examples iex&gt; DeepSort.sort([4, 2, 3, 1]) [1, 2, 3, 4] iex&gt; DeepSort.sort([4, 2, 3, 1], &amp;&gt;/2) [4, 3, 2, 1] iex&gt; DeepSort.sort([4, 2, [3, 4, 1, 2], 1, &quot;abc&quot;, :abc, [b: 1, a: 2, c: [&quot;world&quot;, :hello, %{b: 2, a: 1, foo: &quot;bar&quot;, baz: 1..5}, &quot;hello&quot;, :bar]]]) [ 1, 2, 4, :abc, [1, 2, 3, 4], [ a: 2, b: 1, c: [&quot;world&quot;, :hello, %{a: 1, b: 2, baz: 1..5, foo: &quot;bar&quot;}, &quot;hello&quot;, :bar] ], &quot;abc&quot; ] iex&gt; DeepSort.sort(&quot;AsDfdg&quot;) &quot;AsDfdg&quot; iex&gt; DeepSort.sort(&#39;AsDfdg&#39;) &#39;ADdfgs&#39; iex&gt; DeepSort.sort({:two, 1, &quot;three&quot;}) {:two, 1, &quot;three&quot;} iex&gt; DeepSort.sort(%{two: 1, one: 1, &quot;3&quot;: &quot;three&quot;}) [&quot;3&quot;: &quot;three&quot;, one: 1, two: 1]"},{"ref":"readme.html","title":"ReadMe","type":"extras","doc":"DeepSort A hex module who does recursive sort over any enumerables."},{"ref":"readme.html#why","title":"ReadMe - why?","type":"extras","doc":"As we all know, different data types in Elixir can be compared using comparison operators so we don&#39;t need to worry about different data types in order to sort. The overall sorting order is defined below: number &lt; atom &lt; reference &lt; function &lt; port &lt; pid &lt; tuple &lt; map &lt; list &lt; bitstring By this way, Enum.sort can do flat sorting jobs over enumerables. This package steps forward and it does recursive sort over any enumerables."},{"ref":"readme.html#examples","title":"ReadMe - Examples","type":"extras","doc":"iex&gt; DeepSort.sort([4, 2, 3, 1]) [1, 2, 3, 4] iex&gt; DeepSort.sort([4, 2, 3, 1], &amp;&gt;/2) [4, 3, 2, 1] iex&gt; DeepSort.sort([4, 2, [3, 4, 1, 2], 1, &quot;abc&quot;, :abc, [b: 1, a: 2, c: [&quot;world&quot;, :hello, %{b: 2, a: 1, foo: &quot;bar&quot;, baz: 1..5}, &quot;hello&quot;, :bar]]]) [ 1, 2, 4, :abc, [1, 2, 3, 4], [ a: 2, b: 1, c: [&quot;world&quot;, :hello, %{a: 1, b: 2, baz: 1..5, foo: &quot;bar&quot;}, &quot;hello&quot;, :bar] ], &quot;abc&quot; ] iex&gt; DeepSort.sort(&quot;AsDfdg&quot;) # String is not enumerable in Elixir &quot;AsDfdg&quot; iex&gt; DeepSort.sort(&#39;AsDfdg&#39;) # But Charlist is enumerable &#39;ADdfgs&#39; iex&gt; DeepSort.sort({:two, 1, &quot;three&quot;}) # Tuple is not enumerable {:two, 1, &quot;three&quot;} iex&gt; DeepSort.sort(%{two: 1, one: 1, &quot;3&quot;: &quot;three&quot;}) # However Map is enumerable [&quot;3&quot;: &quot;three&quot;, one: 1, two: 1] The function is based on Enum.sort/2 but aims to do a recursive sort over any enumerables."},{"ref":"readme.html#docs","title":"ReadMe - Docs","type":"extras","doc":"The docs can be found at https://hexdocs.pm/deep_sort."},{"ref":"readme.html#installation","title":"ReadMe - Installation","type":"extras","doc":"The package can be installed by adding deep_sort to your list of dependencies in mix.exs: def deps do [ {:deep_sort, &quot;~&gt; 1.1.1&quot;} # change version to newest ] end"},{"ref":"readme.html#license","title":"ReadMe - License","type":"extras","doc":"MIT"},{"ref":"readme.html#changelog","title":"ReadMe - ChangeLog","type":"extras","doc":"CHANGELOG"},{"ref":"changelog.html","title":"ChangeLog","type":"extras","doc":""},{"ref":"changelog.html#1-1-1-june-16-2019","title":"ChangeLog - 1.1.1 (June 16, 2019)","type":"extras","doc":"Simplify recursive logic with performance improved"},{"ref":"changelog.html#1-1-0-june-14-2019","title":"ChangeLog - 1.1.0 (June 14, 2019)","type":"extras","doc":"doc: more user-friendly doc bugfix: fix missing file version"},{"ref":"changelog.html#1-0-0-may-28-2019","title":"ChangeLog - 1.0.0 (May 28, 2019)","type":"extras","doc":"Make it work with any enumerables rather than only List"},{"ref":"changelog.html#0-3-0-may-22-2019","title":"ChangeLog - 0.3.0 (May 22, 2019)","type":"extras","doc":"Publish it to Hex with ❤️"}]